Page MenuHomePhabricator

Save the revision id of source and published article in cx_translations table
Closed, ResolvedPublic1 Story Points

Description

Save the revision id of source and published article in cx_translations table. This is required to identify the exact versions used as source and published as translation.

ApiContentTranslationPublish already take source revision.

cx_translations table will require additional column for this. So schema change involved.

Event Timeline

santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Needs Triage.
santhosh added a subscriber: santhosh.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 12:00 PM
Amire80 set Security to None.
Amire80 triaged this task as Normal priority.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Amire80 moved this task from Backlog to 3rd party support on the ContentTranslation-Release7 board.
Amire80 edited projects, added WorkType-NewFunctionality; removed WorkType-Maintenance.

Change 255662 had a related patch set uploaded (by Santhosh):
Save the revision id of source and published article in cx_translations table

https://gerrit.wikimedia.org/r/255662

santhosh claimed this task.
santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 3 board.
santhosh edited a custom field.
Arrbee moved this task from Backlog to In Review on the LE-CX7-Sprint 4 board.

Change 255662 merged by jenkins-bot:
Save the revision id of source and published article in cx_translations

https://gerrit.wikimedia.org/r/255662

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 17 2015, 10:33 AM
jcrespo changed the status of subtask T119752: Review schema changes for T119495 from Invalid to Resolved.Dec 17 2015, 12:10 PM
santhosh moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 18 2015, 3:52 AM
santhosh closed this task as Resolved.Dec 22 2015, 7:03 AM